This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 152169 - broken pkgconfig dependency chain
broken pkgconfig dependency chain
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnopernicus (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2005-03-25 10:58 EST by Michael Schwendt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 10:48:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2005-03-25 10:58:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
/usr/lib/pkgconfig/gnopernicus-1.0.pc requires "cspi-1.0", but the package which provides it (at-spi-devel) is not in gnopernicus' list of package dependencies.

This results in a broken pkgconfig dependency chain, which is not limited to querying gnopernicus-1.0.pc.

For instance, it breaks "pkg-config --list-all" as parsed by some applications and makes the query print an error message and return an error code (!), too.

Also broken:

$ pkg-config --exists gnopernicus-1.0 || echo "no"
no

$ pkg-config --cflags gnopernicus-1.0 
Package cspi-1.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `cspi-1.0.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cspi-1.0', required by 'gnopernicus', not found


Whenever a package contains a pkgconfig template, it ought to have a complete set of dependencies which provide every dependency listed in the pkgconfig file's "Requires:" line.

Package gnopernicus could require at-spi-devel easily if a -devel package were split off. It contains headers and build-time library softlinks, but doesn't "Provides: gnopernicus-devel = %version-%release", btw.


Version-Release number of selected component (if applicable):
gnopernicus-0.10.4-1

How reproducible:
Always

Steps to Reproduce:
-  

Additional info:

Note You need to log in before you can comment on or make changes to this bug.